Summary:	File share UI.
Name:		fileshareui
Version:	1.0
Release:	1229.8AX
License:	GPL
Group:		Desktop/KDE
Source:		%{name}-%{version}.tar.gz
Patch1:		fileshareui-1.0-asianux.patch
Patch2:		fileshareui-1.0-ja.patch
Patch3:         fileshareui-1.0-ko.patch
Patch4:		fileshareui-1.0-error-message.patch
Patch5:		fileshareui-1.0-ja2.patch
Patch6:		fileshareui-1.0-gb18030-support.patch
Patch7:		fileshareui-1.0-po.patch
Requires:	dbus,dbus-glib,dbusadapter
BuildRoot:	/var/tmp/%{name}-%{version}-%{release}-virtual
BuildRequires:dbusadapter,dbus-devel

%description
File share UI.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
suffix=""
if [ "%{_lib}" == "lib64" ]; then
    suffix="64"
fi

./configure --enable-libsuffix="$suffix" --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/usr/share/doc/HTML

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post

%preun

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING AUTHORS
%{_bindir}/*
%{_datadir}/apps/konqueror/servicemenus/*

%changelog
* Mon Aug 07 2007 Mika Kamei <mkamei@miraclelinux.com> 1.0-1229-8AX
- add Traditional Chinese menu (a part of #3389, Patch7)
- remove a template of onlinemanual

* Fri Jul 13 2007 Xiao Liu <xiaoliu@redflag-linux.com> 1.0-1229-7AX
- add Patch#6 for GB18030 support

* Wed Jul 11 2007 Ryoji Kamei <kamei@miraclelinux.com> 1.0-1229-6AX
- just add one translation fix (#3123,Patch5)
- add %clean

* Wed Jul 11 2007 Nam, Kwonwoo <kwnam@haansoft.com> 1.0-1229-5AX
- modified Korean translation for error message(patch4)

* Tue Jul 10 2007 Xiao Liu <xiaoliu@redflag-linux.com> 1.0-1229-4AX
- add Patch#4 for MessageBox in English environment

* Mon Jun 18 2007 Nam, Kwonwoo <kwnam@haansoft.com> 1.0-1229-3AX
- add Korean translation

* Wed Jun  6 2007 Ryoji Kamei <kamei@miraclelinux.com> 1.0-1229.2AX
- Add Japanese translation (#2794)
- Fix trivial cleanup
-   change Group from "/desktop/kde" to "Desktop/KDE"
-   modify %files section to remove debugging files
-   add documents

* Wed Feb 28 2007 Hua Jie <jiehua@redflag-linux.com> 1.0-1229.1AX
- add patch1 to build in x86_64 platform

* Fri Dec 29 2006 wang baisheng <bswang@redflag-linux.com> 1.0-1229
- Separate from sharetools and reconstruct.
